Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.query.runtime.impl
Class ModelQueryResultImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.gmt.modisco.infra.query.runtime.impl.ModelQueryResultImpl

All Implemented Interfaces:
  ModelQueryResult

    public class ModelQueryResultImpl

extends EObjectImpl
implements ModelQueryResult

An implementation of the model object 'Model Query Result'.

The following features are implemented:

- `Source`
- `Value`
- `Exception`

Method Summary
`EObject` | `basicGetSource()`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`java.lang.Exception` | `getException()`
`EObject` | `getSource()`
`java.lang.Object` | `getValue()`
`void` | `setException(java.lang.Exception newException)`
`void` | `setSource(EObject newSource)`
`void` | `setValue(java.lang.Object newValue)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getSource

    public EObject getSource()

  Specified by:
    `getSource` in interface `ModelQueryResult`
  Returns:
    the value of the 'Source' reference.
  See Also:
    `ModelQueryResult.setSource(EObject)`, `RuntimePackage.getModelQueryResult_Source()`

### basicGetSource

    public EObject basicGetSource()

### setSource

    public void setSource(EObject newSource)

  Specified by:
    `setSource` in interface `ModelQueryResult`
  Parameters:
    `newSource` - the new value of the 'Source' reference.
  See Also:
    `ModelQueryResult.getSource()`

### getValue

    public java.lang.Object getValue()

  Specified by:
    `getValue` in interface `ModelQueryResult`
  Returns:
    the value of the 'Value' attribute.
  See Also:
    `ModelQueryResult.setValue(Object)`, `RuntimePackage.getModelQueryResult_Value()`

### setValue

    public void setValue(java.lang.Object newValue)

  Specified by:
    `setValue` in interface `ModelQueryResult`
  Parameters:
    `newValue` - the new value of the 'Value' attribute.
  See Also:
    `ModelQueryResult.getValue()`

### getException

    public java.lang.Exception getException()

  Specified by:
    `getException` in interface `ModelQueryResult`
  Returns:
    the value of the 'Exception' attribute.
  See Also:
    `ModelQueryResult.setException(Exception)`, `RuntimePackage.getModelQueryResult_Exception()`

### setException

    public void setException(java.lang.Exception newException)

  Specified by:
    `setException` in interface `ModelQueryResult`
  Parameters:
    `newException` - the new value of the 'Exception' attribute.
  See Also:
    `ModelQueryResult.getException()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD